Subject: bug#58084: guix deploy fails, leaving the newly installed system generation active

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Sep 2022 16:47:15 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> writes:
>
> [...]
>
>>> … which is fine, except that there was already a pre-existing
>>> /etc/modprobe.d directory (coming from openSuSE, the distro that was
>>> initially installed on this machine), which caused this activation code
>>> to break:
>>
>> Oh wow! Should we be extra careful and always rm files before linking to
>> their location?  Or define our own 'symlink' procedure that'd take care
>> of it?  That's not very elegant but better than obscure crashes like
>> this.
>
> I just had a better idea: fail and report that an unexpected file was
> found there, leaving the user to inspect it and choose a proper action.

Yeah, that’d be nice.  It’s really a corner case that you’ll only hit
when installing on a non-empty file system, but gracefully handling it
would be nice for sure.

Ludo’.